#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{

    long long int n;
    cin>>n;
    long long int t[n+1];
    t[0]=-1;
    for(int i=1;i<=n;i++)
        cin>>t[i];

    long long int q;
    cin>>q;
    long long int elso[q], masodik[q];
    for(int i=0;i<q;i++)
        cin>>elso[i]>>masodik[i];

    vector<int> xx(n+1);
    xx[0]=0;
    for(int i=1;i<=n;i++)
        if(t[i]>=t[i-1])
            xx[i]=xx[i-1]+1;
        else
            xx[i]=1;

    for(int i=0;i<q;i++)
    {
        int hossz=masodik[i]-elso[i]+1;
        int maxi=max(xx.at(elso[i]), xx.at(masodik[i]));
        //cout<<maxi<<endl;
        if(abs(maxi-hossz)-1<=1)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    }





    return 0;
}